Bug 120969 - cvs 1.11.15 is released
Summary: cvs 1.11.15 is released
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cvs   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Ben Levenson
URL: http://ccvs.cvshome.org/servlets/News...
Whiteboard:
Keywords: Security
Depends On:
Blocks: 118779
TreeView+ depends on / blocked
 
Reported: 2004-04-15 18:29 UTC by Robert Scheck
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version: 1.11.15-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-22 18:16:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Re-enabled patch 1 (cvspass) for cvs 1.11.15 (3.28 KB, patch)
2004-04-15 18:30 UTC, Robert Scheck
no flags Details | Diff
Re-enabled patch 6 (extzlib2) for cvs 1.11.15 (180.55 KB, patch)
2004-04-21 11:13 UTC, Robert Scheck
no flags Details | Diff

Description Robert Scheck 2004-04-15 18:29:31 UTC
Description of problem:
Stable CVS 1.11.15 has been released. Stable releases contain only 
bug fixes from previous versions of CVS. This version fixes serious 
security holes in both the client and the CVS server executables as 
well as fixing many other bugs, including some file resurrection 
issues. CVS-Home recommends this upgrade for all CVS clients and 
servers.

Changelog: http://ccvs.cvshome.org/source/browse/ccvs/NEWS?rev=
1.116.2.92&content-type=text/x-cvsweb-markup

Version-Release number of selected component (if applicable):
cvs-1.11.11-2

Actual results:
Patch1: Has to re-enable (attached cvs-1.11.15-cvspass.patch)
Patch5: Already included and can be removed
Patch6: Has to re-enable

Expected results:
Upgrade to 1.11.15

Additional info:
Red Hat Linux 9, Red Hat Linux Enterprise/Advanced Server and Fedora
Core 1 aren't fixed against the security server and client issues.

Comment 1 Robert Scheck 2004-04-15 18:30:22 UTC
Created attachment 99449 [details]
Re-enabled patch 1 (cvspass) for cvs 1.11.15

Comment 2 Nalin Dahyabhai 2004-04-15 18:50:01 UTC
IIRC RHL 9 and RHEL have had errata issued (RHSA-2004-153,
RHSA-2004-154).  For Fedora, we'll update to 1.11.15 all around.

Comment 3 Robert Scheck 2004-04-21 11:13:41 UTC
Created attachment 99591 [details]
Re-enabled patch 6 (extzlib2) for cvs 1.11.15

Comment 4 Robert Scheck 2004-04-22 18:16:40 UTC
Thank you for updating cvs :)


Note You need to log in before you can comment on or make changes to this bug.